Subject: bug#35594: closed (Re: bug#35594: bug#36376: Application menu of desktop environment not automatically updated)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Nov 2020 20:39:02 +0000

Your bug report

#36376: GNOME: Application icons are not displayed immediately after installation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36376: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36376
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35594: bug#36376: Application menu of desktop environment not automatically updated
From: Ludovic Courtès <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: Leo Prikler <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 13 Nov 2020 21:38:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

>>>From 7d03b2b823951219ece46c7f34e25ae36a8ba12c Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <[email-masked]>
> Date: Thu, 12 Nov 2020 16:35:24 +0100
> Subject: [PATCH] gnu: glib: Graft patch to detect changes to the installed
>  applications.
>
> Fixes <https://bugs.gnu.org/35594>.
> Reported by sirgazil <[email-masked]> and others.
>
> * gnu/packages/patches/glib-appinfo-watch.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/glib.scm (glib)[replacement]: New field.
> (glib-with-gio-patch): New variable.
> (glib-with-documentation): Use 'package/inherit'.

Pushed as ae10ec441aa524bf267f9cefd4a319b44d0b8b44 (version-1.2.0).

Ludo’.

Subject: GNOME: Application icons are not displayed immediately after installation
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 05 May 2019 18:19:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I installed the GNU system in a real machine using Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

Whenever I install a desktop application, the application icon does not show up immediately in the list of available applications. I have to log out and log in again to be able to see it.

## Steps to reproduce

1. Install a desktop application (I tried GIMP, Scribus, Inkscape, Audacity)
2. Click on "Activities".
3. Click on "Show Applications" (the button with nine dots).

## Unexpected result

The icon of the installed application is not in the list.

## Expected result.

The icon of the installed application is in the list.

---
https://sirgazil.bitbucket.io/